// Generated by build-metadata.js
/* eslint-disable */
export const countries = {
	KV: {
		isoCode: 'KV',
		dialCode: '383',
		nationalPrefix: '0',
	},
	UM: {
		isoCode: 'UM',
		dialCode: '1',
		nationalPrefix: '',
		patternRegion: 'US',
		priority: -99,
	},
	BV: {
		isoCode: 'BV',
		dialCode: '47',
		nationalPrefix: '',
		priority: -99,
	},
	TF: {
		isoCode: 'TF',
		dialCode: '262',
		nationalPrefix: '0',
	},
	HM: {
		isoCode: 'HM',
		dialCode: '61',
		nationalPrefix: '0',
		priority: -99,
	},
	PN: {
		isoCode: 'PN',
		dialCode: '64',
		nationalPrefix: '0',
		priority: -99,
	},
	GS: {
		isoCode: 'GS',
		nationalPrefix: '',
		dialCode: '500',
		priority: -99,
	},
	AC: {
		isoCode: 'AC',
		dialCode: '247',
	},
	AD: {
		isoCode: 'AD',
		dialCode: '376',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})',
				replace: '$1 $2',
				leadingDigitPattern: '[137-9]|6[0-8]',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '180[02]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '690',
			},
		],
	},
	AE: {
		isoCode: 'AE',
		dialCode: '971',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2-4679])(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-4679][2-8]',
			},
			{
				match: '(5\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '5',
			},
			{
				match: '([479]00)(\\d)(\\d{5})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '[479]0',
			},
			{
				match: '([68]00)(\\d{2,9})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '60|8',
			},
		],
	},
	AF: {
		isoCode: 'AF',
		dialCode: '93',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2-7]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-7]',
			},
		],
	},
	AG: {
		isoCode: 'AG',
		dialCode: '1268',
		countryDialCode: '1',
		regionCode: '268',
		nationalPrefix: '1',
	},
	AI: {
		isoCode: 'AI',
		dialCode: '1264',
		countryDialCode: '1',
		regionCode: '264',
		nationalPrefix: '1',
	},
	AL: {
		isoCode: 'AL',
		dialCode: '355',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(4)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '4[0-6]',
			},
			{
				match: '(6\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '6',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2358][2-5]|4[7-9]',
			},
			{
				match: '(\\d{3})(\\d{3,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[235][16-9]|[79]|8[016-9]',
			},
		],
	},
	AM: {
		isoCode: 'AM',
		dialCode: '374',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '1|47',
			},
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '4[1349]|[5-7]|88|9[1-9]',
			},
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[23]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0 $1',
				leadingDigitPattern: '8|90',
			},
		],
	},
	AO: {
		isoCode: 'AO',
		dialCode: '244',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
			},
		],
	},
	AR: {
		isoCode: 'AR',
		dialCode: '54',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([68]\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[68]',
			},
			{
				match: '(\\d{2})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '[2-9]',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '[2-9]',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '[2-9]',
			},
			{
				match: '(9)(11)(\\d{4})(\\d{4})',
				replace: '$2 15-$3-$4',
				nationalFormat: '0$1',
				leadingDigitPattern: '911',
			},
			{
				match: '(9)(\\d{3})(\\d{3})(\\d{4})',
				replace: '$2 15-$3-$4',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'9(?:2(?:2(?:0[013-9]|[13])|3(?:0[013-9]|[67])|49|6(?:[0136]|4[0-59])|8|9(?:[19]|44|7[013-9]|8[14]))|3(?:36|4(?:[12]|3(?:4|5[014]|6[1-39])|[58]4)|5(?:1|3[0-24-689]|8[46])|6|7[069]|8(?:[01]|34|[578][45])))',
			},
			{
				match: '(9)(\\d{4})(\\d{2})(\\d{4})',
				replace: '$2 15-$3-$4',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[23]',
			},
			{
				match: '(11)(\\d{4})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'2(?:2(?:0[013-9]|[13])|3(?:0[013-9]|[67])|49|6(?:[0136]|4[0-59])|8|9(?:[19]|44|7[013-9]|8[14]))|3(?:36|4(?:[12]|3(?:4|5[014]|6[1-39])|[58]4)|5(?:1|3[0-24-689]|8[46])|6|7[069]|8(?:[01]|34|[578][45]))',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]',
			},
			{
				match: '(\\d{3})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '1[0-2]|911',
			},
		],
		internationalPatterns: [
			{
				match: '([68]\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[68]',
			},
			{
				match: '(9)(11)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3-$4',
				leadingDigitPattern: '911',
			},
			{
				match: '(9)(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3-$4',
				leadingDigitPattern:
					'9(?:2(?:2(?:0[013-9]|[13])|3(?:0[013-9]|[67])|49|6(?:[0136]|4[0-59])|8|9(?:[19]|44|7[013-9]|8[14]))|3(?:36|4(?:[12]|3(?:4|5[014]|6[1-39])|[58]4)|5(?:1|3[0-24-689]|8[46])|6|7[069]|8(?:[01]|34|[578][45])))',
			},
			{
				match: '(9)(\\d{4})(\\d{2})(\\d{4})',
				replace: '$1 $2 $3-$4',
				leadingDigitPattern: '9[23]',
			},
			{
				match: '(11)(\\d{4})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'2(?:2(?:0[013-9]|[13])|3(?:0[013-9]|[67])|49|6(?:[0136]|4[0-59])|8|9(?:[19]|44|7[013-9]|8[14]))|3(?:36|4(?:[12]|3(?:4|5[014]|6[1-39])|[58]4)|5(?:1|3[0-24-689]|8[46])|6|7[069]|8(?:[01]|34|[578][45]))',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]',
			},
		],
	},
	AS: {
		isoCode: 'AS',
		dialCode: '1684',
		countryDialCode: '1',
		regionCode: '684',
		nationalPrefix: '1',
	},
	AT: {
		isoCode: 'AT',
		dialCode: '43',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(116\\d{3})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '116',
			},
			{
				match: '(1)(\\d{3,12})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(5\\d)(\\d{3,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '5[079]',
			},
			{
				match: '(5\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '5[079]',
			},
			{
				match: '(5\\d)(\\d{4})(\\d{4,7})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '5[079]',
			},
			{
				match: '(\\d{3})(\\d{3,10})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:31|4)6|51|6(?:5[0-3579]|[6-9])|7(?:[28]0|32)|[89]',
			},
			{
				match: '(\\d{4})(\\d{3,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'2|3(?:1[1-578]|[3-8])|4[2378]|5[2-6]|6(?:[12]|4[1-9]|5[468])|7(?:[24][1-8]|35|[5-79])',
			},
		],
	},
	AU: {
		isoCode: 'AU',
		dialCode: '61',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2378])(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[2378]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '14|[45]',
			},
			{
				match: '(16)(\\d{3,4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '16',
			},
			{
				match: '(16)(\\d{3})(\\d{2,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '16',
			},
			{
				match: '(1[389]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1(?:[38]0|9)0',
			},
			{
				match: '(180)(2\\d{3})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '1802',
			},
			{
				match: '(19\\d)(\\d{3})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '19[13]',
			},
			{
				match: '(19\\d{2})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '19[679]',
			},
			{
				match: '(13)(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '13[1-9]',
			},
		],
		priority: 10,
	},
	AW: {
		isoCode: 'AW',
		dialCode: '297',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	AX: {
		isoCode: 'AX',
		dialCode: '358',
		nationalPrefix: '0',
		priority: 1,
		patternRegion: 'FI',
	},
	AZ: {
		isoCode: 'AZ',
		dialCode: '994',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '1[28]|2(?:[0-36]|[45]2)|365',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[4-8]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
		],
	},
	BA: {
		isoCode: 'BA',
		dialCode: '387',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-5]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '6[1-356]|[7-9]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '6[047]',
			},
		],
	},
	BB: {
		isoCode: 'BB',
		dialCode: '1246',
		countryDialCode: '1',
		regionCode: '246',
		nationalPrefix: '1',
	},
	BD: {
		isoCode: 'BD',
		dialCode: '880',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(\\d{7,8})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '(\\d{2})(\\d{4,6})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-79]1',
			},
			{
				match: '(\\d{4})(\\d{3,6})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1|3(?:0|[2-58]2)|4(?:0|[25]2|3[23]|[4689][25])|5(?:[02-578]2|6[25])|6(?:[0347-9]2|[26][25])|7[02-9]2|8(?:[023][23]|[4-7]2)|9(?:[02][23]|[458]2|6[016])',
			},
			{
				match: '(\\d{3})(\\d{3,7})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-79][2-9]|8',
			},
		],
	},
	BE: {
		isoCode: 'BE',
		dialCode: '32',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '4[6-9]',
			},
			{
				match: '(\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]|4[23]|9[2-4]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[156]|7[018]|8(?:0[1-9]|[1-79])',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:80|9)0',
			},
		],
	},
	BF: {
		isoCode: 'BF',
		dialCode: '226',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	BG: {
		isoCode: 'BG',
		dialCode: '359',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(\\d)(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '(2)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '43[124-7]|70[1-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '43[124-7]|70[1-9]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[78]00',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '99[69]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[356]|4[124-7]|7[1-9]|8[1-6]|9[1-7]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '48|8[7-9]|9[08]',
			},
		],
	},
	BH: {
		isoCode: 'BH',
		dialCode: '973',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	BI: {
		isoCode: 'BI',
		dialCode: '257',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	BJ: {
		isoCode: 'BJ',
		dialCode: '229',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[2689]',
			},
		],
	},
	BL: {
		isoCode: 'BL',
		dialCode: '590',
		nationalPrefix: '0',
		priority: 1,
		patternRegion: 'GP',
	},
	BM: {
		isoCode: 'BM',
		dialCode: '1441',
		countryDialCode: '1',
		regionCode: '441',
		nationalPrefix: '1',
	},
	BN: {
		isoCode: 'BN',
		dialCode: '673',
		patterns: [
			{
				match: '([2-578]\\d{2})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	BO: {
		isoCode: 'BO',
		dialCode: '591',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([234])(\\d{7})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-4]',
			},
			{
				match: '([67]\\d{7})',
				replace: '$1',
				leadingDigitPattern: '[67]',
			},
			{
				match: '(800)(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '800',
			},
		],
	},
	BQ: {
		isoCode: 'BQ',
		dialCode: '599',
		priority: 1,
		patternRegion: 'CW',
	},
	BR: {
		isoCode: 'BR',
		dialCode: '55',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '300|40(?:0|20)',
			},
			{
				match: '([3589]00)(\\d{2,3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3589]00',
			},
			{
				match: '(\\d{3,5})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '1[125689]',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '[2-9](?:0[1-9]|[1-9])',
			},
			{
				match: '(\\d{5})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '9(?:0[1-9]|[1-9])',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[1-9][1-9]',
			},
			{
				match: '(\\d{2})(\\d{5})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[1-9][1-9]9',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '300|40(?:0|20)',
			},
			{
				match: '([3589]00)(\\d{2,3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3589]00',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[1-9][1-9]',
			},
			{
				match: '(\\d{2})(\\d{5})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[1-9][1-9]9',
			},
		],
	},
	BS: {
		isoCode: 'BS',
		dialCode: '1242',
		countryDialCode: '1',
		regionCode: '242',
		nationalPrefix: '1',
	},
	BT: {
		isoCode: 'BT',
		dialCode: '975',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '1|77',
			},
			{
				match: '([2-8])(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[2-68]|7[246]',
			},
		],
	},
	BW: {
		isoCode: 'BW',
		dialCode: '267',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-6]',
			},
			{
				match: '(7\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '7',
			},
			{
				match: '(90)(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '9',
			},
		],
	},
	BY: {
		isoCode: 'BY',
		dialCode: '375',
		nationalPrefix: '8',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '8 0$1',
				leadingDigitPattern: '17(?:[02358]|1[0-2]|9[0189])|2[4-9]|[34]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '8 0$1',
				leadingDigitPattern:
					'1(?:5[24]|6(?:2|3[04-9]|5[0346-9])|7(?:[46]|7[37-9]))|2(?:1[246]|2[25]|3[26])',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{3})',
				replace: '$1 $2-$3',
				nationalFormat: '8 0$1',
				leadingDigitPattern:
					'1(?:5[169]|6(?:3[1-3]|4|5[125])|7(?:1[3-9]|7[0-24-6]|9[2-7]))|2(?:1[35]|2[34]|3[3-5])',
			},
			{
				match: '([89]\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '8 $1',
				leadingDigitPattern: '8[01]|9',
			},
			{
				match: '(82\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '8 $1',
				leadingDigitPattern: '82',
			},
			{
				match: '(800)(\\d{3})',
				replace: '$1 $2',
				nationalFormat: '8 $1',
				leadingDigitPattern: '800',
			},
			{
				match: '(800)(\\d{2})(\\d{2,4})',
				replace: '$1 $2 $3',
				nationalFormat: '8 $1',
				leadingDigitPattern: '800',
			},
		],
	},
	BZ: {
		isoCode: 'BZ',
		dialCode: '501',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '[2-8]',
			},
			{
				match: '(0)(800)(\\d{4})(\\d{3})',
				replace: '$1-$2-$3-$4',
				leadingDigitPattern: '0',
			},
		],
	},
	CA: {
		isoCode: 'CA',
		dialCode: '1',
		areaCodes: [
			'204',
			'236',
			'249',
			'250',
			'289',
			'306',
			'343',
			'365',
			'387',
			'403',
			'416',
			'418',
			'431',
			'437',
			'438',
			'450',
			'506',
			'514',
			'519',
			'548',
			'579',
			'581',
			'587',
			'604',
			'613',
			'639',
			'647',
			'672',
			'705',
			'709',
			'742',
			'778',
			'780',
			'782',
			'807',
			'819',
			'825',
			'867',
			'873',
			'902',
			'905',
		],
		nationalPrefix: '1',
		priority: 5,
		patternRegion: 'US',
	},
	CC: {
		isoCode: 'CC',
		dialCode: '61',
		nationalPrefix: '0',
		priority: 1,
		patternRegion: 'AU',
	},
	CD: {
		isoCode: 'CD',
		dialCode: '243',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '12',
			},
			{
				match: '([89]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[0-2459]|9',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '88',
			},
			{
				match: '(\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-6]',
			},
		],
	},
	CF: {
		isoCode: 'CF',
		dialCode: '236',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	CG: {
		isoCode: 'CG',
		dialCode: '242',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '801',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[02]',
			},
			{
				match: '(\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '800',
			},
		],
	},
	CH: {
		isoCode: 'CH',
		dialCode: '41',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2-9]\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-7]|[89]1',
			},
			{
				match: '([89]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[047]|90',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				nationalFormat: '0$1',
				leadingDigitPattern: '860',
			},
		],
	},
	CI: {
		isoCode: 'CI',
		dialCode: '225',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	CK: {
		isoCode: 'CK',
		dialCode: '682',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})',
				replace: '$1 $2',
			},
		],
	},
	CL: {
		isoCode: 'CL',
		dialCode: '56',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '2[23]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[357]|4[1-35]|6[13-57]',
			},
			{
				match: '(9)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(44)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '44',
			},
			{
				match: '([68]00)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '60|8',
			},
			{
				match: '(600)(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '60',
			},
			{
				match: '(1230)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{5})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '($1)',
				leadingDigitPattern: '219',
			},
			{
				match: '(\\d{4,5})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '[1-9]',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '2[23]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[357]|4[1-35]|6[13-57]',
			},
			{
				match: '(9)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(44)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '44',
			},
			{
				match: '([68]00)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '60|8',
			},
			{
				match: '(600)(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '60',
			},
			{
				match: '(1230)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{5})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '($1)',
				leadingDigitPattern: '219',
			},
		],
	},
	CM: {
		isoCode: 'CM',
		dialCode: '237',
		patterns: [
			{
				match: '([26])(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				leadingDigitPattern: '[26]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[23]|88',
			},
		],
	},
	CN: {
		isoCode: 'CN',
		dialCode: '86',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(80\\d{2})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '80[26-8]',
			},
			{
				match: '([48]00)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[48]00',
			},
			{
				match: '(\\d{5,6})',
				replace: '$1',
				leadingDigitPattern: '100|95',
			},
			{
				match: '(\\d{2})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:10|2\\d)(?:100|9[56])',
			},
			{
				match: '(\\d{3})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-9]\\d\\d(?:10|9[56])',
			},
			{
				match: '(\\d{3,4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-9]',
			},
			{
				match: '(21)(\\d{4})(\\d{4,6})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '21',
			},
			{
				match: '([12]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '10(?:[1-79]|8(?:0[1-9]|[1-9]))|2[02-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:1[02-9]|35|49|5|7[02-68]|9[1-68])|4(?:1[02-9]|2[179]|[35][2-9]|6[47-9]|7|8[23])|5(?:3[03-9]|4[36]|5[02-9]|6[1-46]|7[028]|80|9[2-46-9])|6(?:3[1-5]|6[0238]|9[12])|7(?:01|[1579]|2[248]|3[04-9]|4[3-6]|6[2368])|8(?:1[236-8]|2[5-7]|3|5[1-9]|7[02-9]|8[36-8]|9[1-7])|9(?:0[1-3689]|1[1-79]|[379]|4[13]|5[1-5])',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:11|7[179])|4(?:[15]1|3[1-35])|5(?:1|2[37]|3[12]|51|7[13-79]|9[15])|7(?:[39]1|5[457]|6[09])|8(?:[57]1|98)',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8078',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1(?:[3-57-9]|66)',
			},
			{
				match: '(10800)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '10800',
			},
			{
				match: '(\\d{3})(\\d{7,8})',
				replace: '$1 $2',
				leadingDigitPattern: '950',
			},
		],
		internationalPatterns: [
			{
				match: '(80\\d{2})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '80[26-8]',
			},
			{
				match: '([48]00)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[48]00',
			},
			{
				match: '(\\d{2})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:10|2\\d)(?:100|9[56])',
			},
			{
				match: '(\\d{3})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-9]\\d\\d(?:10|9[56])',
			},
			{
				match: '(21)(\\d{4})(\\d{4,6})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '21',
			},
			{
				match: '([12]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '10(?:[1-79]|8(?:0[1-9]|[1-9]))|2[02-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:1[02-9]|35|49|5|7[02-68]|9[1-68])|4(?:1[02-9]|2[179]|[35][2-9]|6[47-9]|7|8[23])|5(?:3[03-9]|4[36]|5[02-9]|6[1-46]|7[028]|80|9[2-46-9])|6(?:3[1-5]|6[0238]|9[12])|7(?:01|[1579]|2[248]|3[04-9]|4[3-6]|6[2368])|8(?:1[236-8]|2[5-7]|3|5[1-9]|7[02-9]|8[36-8]|9[1-7])|9(?:0[1-3689]|1[1-79]|[379]|4[13]|5[1-5])',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:11|7[179])|4(?:[15]1|3[1-35])|5(?:1|2[37]|3[12]|51|7[13-79]|9[15])|7(?:[39]1|5[457]|6[09])|8(?:[57]1|98)',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8078',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1(?:[3-57-9]|66)',
			},
			{
				match: '(10800)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '10800',
			},
			{
				match: '(\\d{3})(\\d{7,8})',
				replace: '$1 $2',
				leadingDigitPattern: '950',
			},
		],
	},
	CO: {
		isoCode: 'CO',
		dialCode: '57',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '($1)',
				leadingDigitPattern: '1(?:[2-7]|8[2-9]|9(?:09|[1-3]))|[24-8]',
			},
			{
				match: '(\\d{3})(\\d{7})',
				replace: '$1 $2',
				leadingDigitPattern: '3',
			},
			{
				match: '(1)(\\d{3})(\\d{7})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:800|9(?:0[01]|4[78]))',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '($1)',
				leadingDigitPattern: '1(?:[2-7]|8[2-9]|9(?:09|[1-3]))|[24-8]',
			},
			{
				match: '(\\d{3})(\\d{7})',
				replace: '$1 $2',
				leadingDigitPattern: '3',
			},
			{
				match: '(1)(\\d{3})(\\d{7})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1(?:800|9(?:0[01]|4[78]))',
			},
		],
	},
	CR: {
		isoCode: 'CR',
		dialCode: '506',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[24-7]|8[3-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				leadingDigitPattern: '[89]0',
			},
		],
	},
	CU: {
		isoCode: 'CU',
		dialCode: '53',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{6,7})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '7',
			},
			{
				match: '(\\d{2})(\\d{4,6})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[2-4]',
			},
			{
				match: '(\\d)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '5',
			},
		],
	},
	CV: {
		isoCode: 'CV',
		dialCode: '238',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
			},
		],
	},
	CW: {
		isoCode: 'CW',
		dialCode: '599',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[13-7]',
			},
			{
				match: '(9)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '9',
			},
		],
		priority: 10,
	},
	CX: {
		isoCode: 'CX',
		dialCode: '61',
		nationalPrefix: '0',
		priority: 5,
		patternRegion: 'AU',
	},
	CY: {
		isoCode: 'CY',
		dialCode: '357',
		patterns: [
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1 $2',
			},
		],
	},
	CZ: {
		isoCode: 'CZ',
		dialCode: '420',
		patterns: [
			{
				match: '([2-9]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[2-8]|9[015-7]',
			},
			{
				match: '(96\\d)(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '96',
			},
			{
				match: '(9\\d)(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '9[36]',
			},
		],
	},
	DE: {
		isoCode: 'DE',
		dialCode: '49',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1\\d{2})(\\d{7,8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[67]',
			},
			{
				match: '(15\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '15[0568]',
			},
			{
				match: '(1\\d{3})(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '15',
			},
			{
				match: '(\\d{2})(\\d{3,11})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '3[02]|40|[68]9',
			},
			{
				match: '(\\d{3})(\\d{3,11})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'2(?:0[1-389]|1[124]|2[18]|3[14]|[4-9]1)|3(?:[35-9][15]|4[015])|[4-8][1-9]1|9(?:06|[1-9]1)',
			},
			{
				match: '(\\d{4})(\\d{2,11})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'[24-6]|3(?:3(?:0[1-467]|2[127-9]|3[124578]|[46][1246]|7[1257-9]|8[1256]|9[145])|4(?:2[135]|3[1357]|4[13578]|6[1246]|7[1356]|9[1346])|5(?:0[14]|2[1-3589]|3[1357]|[49][1246]|6[1-4]|7[1346]|8[13568])|6(?:0[356]|2[1-489]|3[124-6]|4[1347]|6[13]|7[12579]|8[1-356]|9[135])|7(?:2[1-7]|3[1357]|4[145]|6[1-5]|7[1-4])|8(?:21|3[1468]|4[1347]|6[0135-9]|7[1467]|8[136])|9(?:0[12479]|2[1358]|3[1357]|4[134679]|6[1-9]|7[136]|8[147]|9[1468]))|[7-9](?:0[1-9]|[1-9])',
			},
			{
				match: '(3\\d{4})(\\d{1,10})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '3',
			},
			{
				match: '(800)(\\d{7,12})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '800',
			},
			{
				match: '(\\d{3})(\\d)(\\d{4,10})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:37|80)|900[1359]',
			},
			{
				match: '(1\\d{2})(\\d{5,11})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '181',
			},
			{
				match: '(18\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '18500',
			},
			{
				match: '(18\\d{2})(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '18[68]',
			},
			{
				match: '(18\\d)(\\d{8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '18[2-579]',
			},
			{
				match: '(700)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '700',
			},
			{
				match: '(138)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '138',
			},
			{
				match: '(15[013-68])(\\d{2})(\\d{8})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '15[013-68]',
			},
			{
				match: '(15[279]\\d)(\\d{2})(\\d{7})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '15[279]',
			},
			{
				match: '(1[67]\\d)(\\d{2})(\\d{7,8})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:6[023]|7)',
			},
		],
	},
	DJ: {
		isoCode: 'DJ',
		dialCode: '253',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	DK: {
		isoCode: 'DK',
		dialCode: '45',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	DM: {
		isoCode: 'DM',
		dialCode: '1767',
		countryDialCode: '1',
		regionCode: '767',
		nationalPrefix: '1',
	},
	DO: {
		isoCode: 'DO',
		dialCode: '18[024]9',
		countryDialCode: '1',
		regionCode: '8[024]9',
		areaCodes: [ '809', '829', '849' ],
		nationalPrefix: '1',
		priority: 3,
		patternRegion: 'DO',
	},
	DZ: {
		isoCode: 'DZ',
		dialCode: '213',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-4]\\d)(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-4]',
			},
			{
				match: '([5-8]\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[5-8]',
			},
			{
				match: '(9\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
		],
	},
	EC: {
		isoCode: 'EC',
		dialCode: '593',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[247]|[356][2-8]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(1800)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d)(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				leadingDigitPattern: '[247]|[356][2-8]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(1800)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
		],
	},
	EE: {
		isoCode: 'EE',
		dialCode: '372',
		patterns: [
			{
				match: '([3-79]\\d{2})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern:
					'[369]|4[3-8]|5(?:[02]|1(?:[0-8]|95)|5[0-478]|6(?:4[0-4]|5[1-589]))|7[1-9]',
			},
			{
				match: '(70)(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '70',
			},
			{
				match: '(8000)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '8000',
			},
			{
				match: '([458]\\d{3})(\\d{3,4})',
				replace: '$1 $2',
				leadingDigitPattern: '40|5|8(?:00[1-9]|[1-5])',
			},
		],
	},
	EG: {
		isoCode: 'EG',
		dialCode: '20',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{7,8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]',
			},
			{
				match: '(\\d{2})(\\d{6,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:3|5[239])|[4-6]|[89][2-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[0-25]|[89]00',
			},
		],
	},
	EH: {
		isoCode: 'EH',
		dialCode: '212528[89]',
		countryDialCode: '212',
		regionCode: '528[89]',
		nationalPrefix: '0',
	},
	ER: {
		isoCode: 'ER',
		dialCode: '291',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
			},
		],
	},
	ES: {
		isoCode: 'ES',
		dialCode: '34',
		patterns: [
			{
				match: '([89]00)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[89]00',
			},
			{
				match: '([5-9]\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[568]|[79][0-8]',
			},
		],
	},
	ET: {
		isoCode: 'ET',
		dialCode: '251',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-59]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
			},
		],
	},
	FI: {
		isoCode: 'FI',
		dialCode: '358',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:[1-3]0|[6-8])0',
			},
			{
				match: '(116\\d{3})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '116',
			},
			{
				match: '(\\d{2})(\\d{3,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:0[1-9]|[3-9])|2(?:0[1-9]|9)|30[1-9]|4|50|7(?:[13]|5[03-9])',
			},
			{
				match: '(75\\d{3})',
				replace: '$1',
				nationalFormat: '0$1',
				leadingDigitPattern: '75[12]',
			},
			{
				match: '(\\d)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[1-8]',
			},
			{
				match: '(\\d)(\\d{5,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[235689][1-8]',
			},
			{
				match: '(39\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '39',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{3})(\\d{3,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:[1-3]0|[6-8])0',
			},
			{
				match: '(116\\d{3})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '116',
			},
			{
				match: '(\\d{2})(\\d{3,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:0[1-9]|[3-9])|2(?:0[1-9]|9)|30[1-9]|4|50|7(?:[13]|5[03-9])',
			},
			{
				match: '(\\d)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[1-8]',
			},
			{
				match: '(\\d)(\\d{5,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[235689][1-8]',
			},
			{
				match: '(39\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '39',
			},
		],
		priority: 10,
	},
	FJ: {
		isoCode: 'FJ',
		dialCode: '679',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-9]',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '0',
			},
		],
	},
	FK: {
		isoCode: 'FK',
		dialCode: '500',
		priority: 10,
		patternRegion: 'FK',
	},
	FM: {
		isoCode: 'FM',
		dialCode: '691',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	FO: {
		isoCode: 'FO',
		dialCode: '298',
		patterns: [
			{
				match: '(\\d{6})',
				replace: '$1',
			},
		],
	},
	FR: {
		isoCode: 'FR',
		dialCode: '33',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-79])(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-79]',
			},
			{
				match: '(1\\d{2})(\\d{3})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '11',
			},
			{
				match: '(8\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0 $1',
				leadingDigitPattern: '8',
			},
		],
		internationalPatterns: [
			{
				match: '([1-79])(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-79]',
			},
			{
				match: '(8\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0 $1',
				leadingDigitPattern: '8',
			},
		],
	},
	GA: {
		isoCode: 'GA',
		dialCode: '241',
		patterns: [
			{
				match: '(\\d)(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-7]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '0',
			},
		],
	},
	GB: {
		isoCode: 'GB',
		dialCode: '44',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(7\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '7(?:[1-57-9]|624)',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2|5[56]|7[06]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:[02-9]1|1)|3|9[018]',
			},
			{
				match: '(\\d{5})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:3873|5(?:242|39[4-6])|(?:697|768)[347]|9467)',
			},
			{
				match: '(1\\d{3})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(800)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8001111',
			},
			{
				match: '(845)(46)(4\\d)',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '845464',
			},
			{
				match: '(8\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8(?:4[2-5]|7[0-3])',
			},
			{
				match: '(80\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '80',
			},
			{
				match: '([58]00)(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[58]00',
			},
		],
		priority: 10,
	},
	GD: {
		isoCode: 'GD',
		dialCode: '1473',
		countryDialCode: '1',
		regionCode: '473',
		nationalPrefix: '1',
	},
	GE: {
		isoCode: 'GE',
		dialCode: '995',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[348]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '5',
			},
		],
	},
	GF: {
		isoCode: 'GF',
		dialCode: '594',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
			},
		],
	},
	GG: {
		isoCode: 'GG',
		dialCode: '44',
		nationalPrefix: '0',
		priority: 1,
		patternRegion: 'GB',
	},
	GH: {
		isoCode: 'GH',
		dialCode: '233',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[235]',
			},
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
		],
	},
	GI: {
		isoCode: 'GI',
		dialCode: '350',
		patterns: [
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '2',
			},
		],
	},
	GL: {
		isoCode: 'GL',
		dialCode: '299',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
			},
		],
	},
	GM: {
		isoCode: 'GM',
		dialCode: '220',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	GN: {
		isoCode: 'GN',
		dialCode: '224',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '3',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[67]',
			},
		],
	},
	GP: {
		isoCode: 'GP',
		dialCode: '590',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([56]90)(\\d{2})(\\d{4})',
				replace: '$1 $2-$3',
				nationalFormat: '0$1',
			},
		],
		priority: 10,
	},
	GQ: {
		isoCode: 'GQ',
		dialCode: '240',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[235]',
			},
			{
				match: '(\\d{3})(\\d{6})',
				replace: '$1 $2',
				leadingDigitPattern: '[89]',
			},
		],
	},
	GR: {
		isoCode: 'GR',
		dialCode: '30',
		patterns: [
			{
				match: '([27]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '21|7',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '2[2-9]1|[689]',
			},
			{
				match: '(2\\d{3})(\\d{6})',
				replace: '$1 $2',
				leadingDigitPattern: '2[2-9][02-9]',
			},
		],
	},
	GT: {
		isoCode: 'GT',
		dialCode: '502',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-7]',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1',
			},
		],
	},
	GU: {
		isoCode: 'GU',
		dialCode: '1671',
		countryDialCode: '1',
		regionCode: '671',
		nationalPrefix: '1',
	},
	GW: {
		isoCode: 'GW',
		dialCode: '245',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '44|9[5-7]',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '40',
			},
		],
	},
	GY: {
		isoCode: 'GY',
		dialCode: '592',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	HK: {
		isoCode: 'HK',
		dialCode: '852',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[235-7]|[89](?:0[1-9]|[1-9])',
			},
			{
				match: '(800)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '800',
			},
			{
				match: '(900)(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '900',
			},
			{
				match: '(900)(\\d{2,5})',
				replace: '$1 $2',
				leadingDigitPattern: '900',
			},
		],
	},
	HN: {
		isoCode: 'HN',
		dialCode: '504',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
			},
		],
	},
	HR: {
		isoCode: 'HR',
		dialCode: '385',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1)(\\d{4})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '([2-5]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-5]',
			},
			{
				match: '(9\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(6[01])(\\d{2})(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '6[01]',
			},
			{
				match: '([67]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[67]',
			},
			{
				match: '(80[01])(\\d{2})(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
			{
				match: '(80[01])(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
		],
	},
	HT: {
		isoCode: 'HT',
		dialCode: '509',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
			},
		],
	},
	HU: {
		isoCode: 'HU',
		dialCode: '36',
		nationalPrefix: '06',
		patterns: [
			{
				match: '(1)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '($1)',
				leadingDigitPattern: '[2-9]',
			},
		],
	},
	ID: {
		isoCode: 'ID',
		dialCode: '62',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{5,8})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '2[124]|[36]1',
			},
			{
				match: '(\\d{3})(\\d{5,8})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '2[035-9]|[36][02-9]|[4579]',
			},
			{
				match: '(8\\d{2})(\\d{3,4})(\\d{3})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[1-35-9]',
			},
			{
				match: '(8\\d{2})(\\d{4})(\\d{4,5})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[1-35-9]',
			},
			{
				match: '(1)(500)(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '15',
			},
			{
				match: '(177)(\\d{6,8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '17',
			},
			{
				match: '(800)(\\d{5,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '800',
			},
			{
				match: '(804)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '804',
			},
			{
				match: '(80\\d)(\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '80[79]',
			},
		],
	},
	IE: {
		isoCode: 'IE',
		dialCode: '353',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1)(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '2[24-9]|47|58|6[237-9]|9[35-9]',
			},
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '40[24]|50[45]',
			},
			{
				match: '(48)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '48',
			},
			{
				match: '(818)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '81',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[24-69]|7[14]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '76|8[35-9]',
			},
			{
				match: '(8\\d)(\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[35-9]5',
			},
			{
				match: '(700)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '70',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1(?:5|8[059]0)',
			},
		],
	},
	IL: {
		isoCode: 'IL',
		dialCode: '972',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2-489])(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-489]',
			},
			{
				match: '([57]\\d)(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[57]',
			},
			{
				match: '(153)(\\d{1,2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '153',
			},
			{
				match: '(1)([7-9]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1-$2-$3-$4',
				nationalFormat: '$1',
				leadingDigitPattern: '1[7-9]',
			},
			{
				match: '(1255)(\\d{3})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '125',
			},
			{
				match: '(1200)(\\d{3})(\\d{3})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '120',
			},
			{
				match: '(1212)(\\d{2})(\\d{2})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '121',
			},
			{
				match: '(1599)(\\d{6})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '1599',
			},
			{
				match: '(151)(\\d{1,2})(\\d{3})(\\d{4})',
				replace: '$1-$2 $3-$4',
				nationalFormat: '$1',
				leadingDigitPattern: '151',
			},
			{
				match: '(\\d{4})',
				replace: '*$1',
				nationalFormat: '$1',
				leadingDigitPattern: '[2-689]',
			},
		],
	},
	IM: {
		isoCode: 'IM',
		dialCode: '44',
		nationalPrefix: '0',
		priority: 3,
		patternRegion: 'GB',
	},
	IN: {
		isoCode: 'IN',
		dialCode: '91',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{8})',
				replace: '$1',
				nationalFormat: '$1',
				leadingDigitPattern: '56161',
			},
			{
				match: '(\\d{5})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'600|7(?:0|19[0-5]|2(?:[0235-79]|[14][017-9]|8(?:[0-69]|[78][089]))|3(?:[05-8]|1(?:[0189]|7[5-9])|2(?:[0-49][089]|[5-8])|3[017-9]|4(?:[07-9]|11)|9(?:[01689]|[2-5][089]|7[0189]))|4(?:[056]|1(?:[0135-9]|[24][089])|[29](?:[0-7][089]|[89])|3(?:[0-8][089]|9)|[47](?:[089]|11|7[02-8])|8(?:[0-24-7][089]|[389]))|5(?:[0346-9]|[15][017-9]|2(?:[03-9]|[12][089]))|6(?:[0346-9]|1[0-257-9]|2(?:[0-4]|[5-9][089])|5(?:[0-367][089]|[4589]))|7(?:0(?:[02-9]|1[089])|[1-9])|8(?:[0-79]|8(?:0[0189]|11|8[013-9]|9))|9(?:[089]|313|7(?:[02-8]|9[07-9])))|8(?:0(?:[01589]|6[67]|7(?:[02-8]|9[05-9]))|1(?:[02-57-9]|1(?:[0-35-9]|4[0-46-9])|6(?:[089]|7[02-8]))|2(?:0(?:[089]|7[02])|[14](?:[089]|7[02-8])|[235-9])|3(?:[0357-9]|1(?:[089]|7[02-6])|2(?:[09]|77|8[0-689])|4(?:0[1-7]|[1-9])|6(?:[089]|7[02-7]))|[45]|6(?:[02457-9]|[136](?:[089]|7[02-8]))|7(?:0[07-9]|[1-69]|[78](?:[089]|7[02-8]))|8(?:[0-25-9]|3(?:[089]|7[02-8])|4(?:[0489]|7[02-68]))|9(?:[02-9]|1(?:[0289]|7[2-6])))|9',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '11|2[02]|33|4[04]|79[1-9]|80[2-46]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1(?:2[0-249]|3[0-25]|4[145]|[59][14]|[68][1-9]|7[1257])|2(?:1[257]|3[013]|4[01]|5[0137]|6[0158]|78|8[1568]|9[14])|3(?:26|4[1-3]|5[34]|6[01489]|7[02-46]|8[159])|4(?:1[36]|2[1-47]|3[15]|5[12]|6[0-26-9]|7[0-24-9]|8[013-57]|9[014-7])|5(?:1[025]|22|[36][25]|4[28]|5[12]|[78]1|9[15])|6(?:12|[2-4]1|5[17]|6[13]|7[14]|80)|7(?:12|2[14]|3[134]|4[47]|5[15]|[67]1|88)|8(?:16|2[014]|3[126]|6[136]|7[078]|8[34]|91)',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:[23579]|[468][1-9])|[2-8]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '008',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '140',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1600',
			},
			{
				match: '(\\d{4})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '1800',
			},
			{
				match: '(\\d{4})(\\d{2,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1800',
			},
			{
				match: '(\\d{4})(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1860',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '18[06]',
			},
		],
	},
	IO: {
		isoCode: 'IO',
		dialCode: '246',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	IQ: {
		isoCode: 'IQ',
		dialCode: '964',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '([2-6]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-6]',
			},
			{
				match: '(7\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
		],
	},
	IR: {
		isoCode: 'IR',
		dialCode: '98',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-8]',
			},
			{
				match: '(\\d{2})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-8]',
			},
			{
				match: '(\\d{4,5})',
				replace: '$1',
				nationalFormat: '0$1',
				leadingDigitPattern: '96',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
		],
	},
	IS: {
		isoCode: 'IS',
		dialCode: '354',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[4-9]',
			},
			{
				match: '(3\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '3',
			},
		],
	},
	IT: {
		isoCode: 'IT',
		dialCode: '39',
		patterns: [
			{
				match: '(\\d{2})(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '0[26]|55',
			},
			{
				match: '(0[26])(\\d{4})(\\d{5})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '0[26]',
			},
			{
				match: '(0[26])(\\d{4,6})',
				replace: '$1 $2',
				leadingDigitPattern: '0[26]',
			},
			{
				match: '(0\\d{2})(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '0[13-57-9][0159]',
			},
			{
				match: '(\\d{3})(\\d{3,6})',
				replace: '$1 $2',
				leadingDigitPattern: '0[13-57-9][0159]|8(?:03|4[17]|9(?:2|[45][0-4]))',
			},
			{
				match: '(0\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '0[13-57-9][2-46-8]',
			},
			{
				match: '(0\\d{3})(\\d{2,6})',
				replace: '$1 $2',
				leadingDigitPattern: '0[13-57-9][2-46-8]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[13]|8(?:00|4[08]|9(?:5[5-9]|9))',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '894[5-9]',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '3',
			},
		],
		priority: 10,
	},
	JE: {
		isoCode: 'JE',
		dialCode: '44',
		nationalPrefix: '0',
		priority: 5,
		patternRegion: 'GB',
	},
	JM: {
		isoCode: 'JM',
		dialCode: '1876',
		countryDialCode: '1',
		regionCode: '876',
		nationalPrefix: '1',
	},
	JO: {
		isoCode: 'JO',
		dialCode: '962',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[2356]|87',
			},
			{
				match: '(7)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7[457-9]',
			},
			{
				match: '(\\d{2})(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '70',
			},
			{
				match: '(\\d{3})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[0158]|9',
			},
		],
	},
	JP: {
		isoCode: 'JP',
		dialCode: '81',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:12|57|99)0',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '800',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '0077',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{3,4})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '0077',
			},
			{
				match: '(\\d{4})(\\d{2})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '0088',
			},
			{
				match: '(\\d{4})(\\d{3})(\\d{3,4})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '00(?:37|66)',
			},
			{
				match: '(\\d{4})(\\d{4})(\\d{4,5})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '00(?:37|66)',
			},
			{
				match: '(\\d{4})(\\d{5})(\\d{5,6})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '00(?:37|66)',
			},
			{
				match: '(\\d{4})(\\d{6})(\\d{6,7})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '00(?:37|66)',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2579]0|80[1-9]',
			},
			{
				match: '(\\d{4})(\\d)(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1(?:267|3(?:7[247]|9[278])|4(?:5[67]|66)|5(?:47|58|64|8[67])|6(?:3[245]|48|5[4-68]))|499[2468]|5(?:769|979[2-69])|7468|8(?:3(?:8[78]|96[2457-9])|477|51[24]|636[2-57-9])|9(?:496|802|9(?:1[23]|69))',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1(?:2[3-6]|3[3-9]|4[2-6]|5(?:[236-8]|[45][2-69])|[68][2-7]|7[2-689]|9[1-578])|2(?:2(?:[04-689]|3[23])|3[3-58]|4[0-468]|5(?:[0468][2-9]|5[78]|7[2-4])|6(?:[0135-8]|4[2-5])|7(?:[0679]|8[2-7])|8(?:[024578]|3[25-9]|9[6-9])|9(?:11|3[2-4]))|4(?:2(?:2[2-9]|8[237-9])|3[689]|6[035-7]|7(?:[059][2-8]|[68])|80|9[3-5])|5(?:3[1-36-9]|4[4578]|5[013-8]|6[1-9]|7[2-8]|8[14-7]|9(?:[4-7]|[89][2-8]))|7(?:2[15]|3[5-9]|4[02-9]|6[135-8]|7[0-4689]|9(?:[017-9]|4[6-8]|5[2-478]|6[2-589]))|8(?:2(?:4[4-8]|9(?:20|[3578]|4[04-9]|6(?:5[25]|60)))|3(?:[3-6][2-9]|7(?:[2-5]|6[0-59])|8[2-5])|4[5-8]|5[2-9]|6(?:[37]|5(?:[467]|5[014-9])|6(?:[2-8]|9[02-69])|8[2-8]|9(?:[236-8]|9[23]))|7[579]|8[03-579]|9[2-8])|9(?:[23]0|4[02-46-9]|5[024-79]|6[4-9]|7[2-47-9]|8[02-7]|9(?:3(?:3[02-9]|4[0-24689])|4[2-69]|[5-7]))',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1|2(?:2[37]|5(?:[57]|[68]0|9(?:17|99))|64|78|8[39]|917)|4(?:2(?:20|[68]|9[178])|64|7[347])|5[2-589]|60|8(?:2[124589]|3[279]|[46-9])|9(?:[235-8]|93(?:31|4))',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2(?:[34]7|[56]9|74|9[14-79])|82|993',
			},
			{
				match: '(\\d)(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '3|4(?:2[09]|7[01])|6[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2479][1-9]',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:12|57|99)0',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '800',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2579]0|80[1-9]',
			},
			{
				match: '(\\d{4})(\\d)(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1(?:267|3(?:7[247]|9[278])|4(?:5[67]|66)|5(?:47|58|64|8[67])|6(?:3[245]|48|5[4-68]))|499[2468]|5(?:769|979[2-69])|7468|8(?:3(?:8[78]|96[2457-9])|477|51[24]|636[2-57-9])|9(?:496|802|9(?:1[23]|69))',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1(?:2[3-6]|3[3-9]|4[2-6]|5(?:[236-8]|[45][2-69])|[68][2-7]|7[2-689]|9[1-578])|2(?:2(?:[04-689]|3[23])|3[3-58]|4[0-468]|5(?:[0468][2-9]|5[78]|7[2-4])|6(?:[0135-8]|4[2-5])|7(?:[0679]|8[2-7])|8(?:[024578]|3[25-9]|9[6-9])|9(?:11|3[2-4]))|4(?:2(?:2[2-9]|8[237-9])|3[689]|6[035-7]|7(?:[059][2-8]|[68])|80|9[3-5])|5(?:3[1-36-9]|4[4578]|5[013-8]|6[1-9]|7[2-8]|8[14-7]|9(?:[4-7]|[89][2-8]))|7(?:2[15]|3[5-9]|4[02-9]|6[135-8]|7[0-4689]|9(?:[017-9]|4[6-8]|5[2-478]|6[2-589]))|8(?:2(?:4[4-8]|9(?:20|[3578]|4[04-9]|6(?:5[25]|60)))|3(?:[3-6][2-9]|7(?:[2-5]|6[0-59])|8[2-5])|4[5-8]|5[2-9]|6(?:[37]|5(?:[467]|5[014-9])|6(?:[2-8]|9[02-69])|8[2-8]|9(?:[236-8]|9[23]))|7[579]|8[03-579]|9[2-8])|9(?:[23]0|4[02-46-9]|5[024-79]|6[4-9]|7[2-47-9]|8[02-7]|9(?:3(?:3[02-9]|4[0-24689])|4[2-69]|[5-7]))',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1|2(?:2[37]|5(?:[57]|[68]0|9(?:17|99))|64|78|8[39]|917)|4(?:2(?:20|[68]|9[178])|64|7[347])|5[2-589]|60|8(?:2[124589]|3[279]|[46-9])|9(?:[235-8]|93(?:31|4))',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2(?:[34]7|[56]9|74|9[14-79])|82|993',
			},
			{
				match: '(\\d)(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '3|4(?:2[09]|7[01])|6[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2479][1-9]',
			},
		],
	},
	KE: {
		isoCode: 'KE',
		dialCode: '254',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{5,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[24-6]',
			},
			{
				match: '(\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]',
			},
		],
	},
	KG: {
		isoCode: 'KG',
		dialCode: '996',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[25-7]|31[25]',
			},
			{
				match: '(\\d{4})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '3(?:1[36]|[2-9])',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d)(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
		],
	},
	KH: {
		isoCode: 'KH',
		dialCode: '855',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1\\d[1-9]|[2-9]',
			},
			{
				match: '(1[89]00)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1[89]0',
			},
		],
	},
	KI: {
		isoCode: 'KI',
		dialCode: '686',
	},
	KM: {
		isoCode: 'KM',
		dialCode: '269',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
			},
		],
	},
	KN: {
		isoCode: 'KN',
		dialCode: '1869',
		countryDialCode: '1',
		regionCode: '869',
		nationalPrefix: '1',
	},
	KP: {
		isoCode: 'KP',
		dialCode: '850',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
		],
	},
	KR: {
		isoCode: 'KR',
		dialCode: '82',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3,4})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:3[1-3]|[46][1-4]|5[1-5])1',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern:
					'1(?:5(?:22|44|66|77|88|99)|6(?:[07]0|44|6[16]|88)|8(?:00|33|55|77|99))',
			},
			{
				match: '(\\d{5})',
				replace: '$1',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[016-9]114',
			},
			{
				match: '(\\d)(\\d{3,4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '60[2-9]|80',
			},
			{
				match: '(\\d{2})(\\d{3,4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[0-25-9]|(?:3[1-3]|[46][1-4]|5[1-5])[1-9]',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[57]0',
			},
			{
				match: '(\\d{5})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '00308',
			},
			{
				match: '(\\d{5})(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '00(?:36|79)8',
			},
			{
				match: '(\\d{5})(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '00798',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{2})(\\d{3,4})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:3[1-3]|[46][1-4]|5[1-5])1',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern:
					'1(?:5(?:22|44|66|77|88|99)|6(?:[07]0|44|6[16]|88)|8(?:00|33|55|77|99))',
			},
			{
				match: '(\\d{5})',
				replace: '$1',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[016-9]114',
			},
			{
				match: '(\\d)(\\d{3,4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '60[2-9]|80',
			},
			{
				match: '(\\d{2})(\\d{3,4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[0-25-9]|(?:3[1-3]|[46][1-4]|5[1-5])[1-9]',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1-$2-$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[57]0',
			},
		],
	},
	KW: {
		isoCode: 'KW',
		dialCode: '965',
		patterns: [
			{
				match: '(\\d{4})(\\d{3,4})',
				replace: '$1 $2',
				leadingDigitPattern: '[16]|2(?:[0-35-9]|4[0-35-9])|52[25]|9[024-9]',
			},
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '244|5(?:[015]|6[56])',
			},
		],
	},
	KY: {
		isoCode: 'KY',
		dialCode: '1345',
		countryDialCode: '1',
		regionCode: '345',
		nationalPrefix: '1',
	},
	KZ: {
		isoCode: 'KZ',
		dialCode: '7',
		nationalPrefix: '8',
		priority: 1,
		patternRegion: 'RU',
	},
	LA: {
		isoCode: 'LA',
		dialCode: '856',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(20)(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '20',
			},
			{
				match: '([2-8]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[13]|3[14]|[4-8]',
			},
			{
				match: '(30)(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '30',
			},
		],
	},
	LB: {
		isoCode: 'LB',
		dialCode: '961',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[13-69]|7(?:[2-57]|62|8[0-7]|9[04-9])|8[02-9]',
			},
			{
				match: '([7-9]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '7(?:[01]|6[013-9]|8[89]|9[1-3])|[89][01]',
			},
		],
	},
	LC: {
		isoCode: 'LC',
		dialCode: '1758',
		countryDialCode: '1',
		regionCode: '758',
		nationalPrefix: '1',
	},
	LI: {
		isoCode: 'LI',
		dialCode: '423',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[237-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '6[56]',
			},
			{
				match: '(69)(7\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '697',
			},
		],
	},
	LK: {
		isoCode: 'LK',
		dialCode: '94',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{1})(\\d{6})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-689]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
		],
	},
	LR: {
		isoCode: 'LR',
		dialCode: '231',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '([4-5])(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[45]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23578]',
			},
		],
	},
	LS: {
		isoCode: 'LS',
		dialCode: '266',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	LT: {
		isoCode: 'LT',
		dialCode: '370',
		nationalPrefix: '8',
		patterns: [
			{
				match: '([34]\\d)(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '(8-$1)',
				leadingDigitPattern: '37|4(?:1|5[45]|6[2-4])',
			},
			{
				match: '([3-6]\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(8-$1)',
				leadingDigitPattern: '3[148]|4(?:[24]|6[09])|528|6',
			},
			{
				match: '([7-9]\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '8 $1',
				leadingDigitPattern: '[7-9]',
			},
			{
				match: '(5)(2\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(8-$1)',
				leadingDigitPattern: '52[0-79]',
			},
		],
	},
	LU: {
		isoCode: 'LU',
		dialCode: '352',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-5]|7[1-9]|[89](?:0[2-9]|[1-9])',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[2-5]|7[1-9]|[89](?:0[2-9]|[1-9])',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '20',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{1,2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '2(?:[0367]|4[3-8])',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '20',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})(\\d{1,2})',
				replace: '$1 $2 $3 $4 $5',
				leadingDigitPattern: '2(?:[0367]|4[3-8])',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{1,4})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern:
					'2(?:[12589]|4[12])|[3-5]|7[1-9]|8(?:0[2-9]|[1-9])|9(?:0[2-46-9]|[1-9])',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '70|80[01]|90[015]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '6',
			},
		],
	},
	LV: {
		isoCode: 'LV',
		dialCode: '371',
		patterns: [
			{
				match: '([2689]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
			},
		],
	},
	LY: {
		isoCode: 'LY',
		dialCode: '218',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([25679]\\d)(\\d{7})',
				replace: '$1-$2',
				nationalFormat: '0$1',
			},
		],
	},
	MA: {
		isoCode: 'MA',
		dialCode: '212',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([5-7]\\d{2})(\\d{6})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '5(?:2[015-7]|3[0-4])|[67]',
			},
			{
				match: '([58]\\d{3})(\\d{5})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '5(?:2(?:[2-48]|9[0-7])|3(?:[5-79]|8[0-7])|924)|892',
			},
			{
				match: '(5\\d{4})(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '5(?:29|38)[89]',
			},
			{
				match: '([5]\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '5(?:4[067]|5[03])',
			},
			{
				match: '(8[09])(\\d{7})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8(?:0|9[013-9])',
			},
		],
	},
	MC: {
		isoCode: 'MC',
		dialCode: '377',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '[39]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '4',
			},
			{
				match: '(6)(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				nationalFormat: '0$1',
				leadingDigitPattern: '6',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '8',
			},
		],
	},
	MD: {
		isoCode: 'MD',
		dialCode: '373',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '22|3',
			},
			{
				match: '([25-7]\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[13-9]|[5-7]',
			},
			{
				match: '([89]\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]',
			},
		],
	},
	ME: {
		isoCode: 'ME',
		dialCode: '382',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-57-9]|6[036-9]',
			},
		],
	},
	MF: {
		isoCode: 'MF',
		dialCode: '590',
		nationalPrefix: '0',
		priority: 5,
		patternRegion: 'GP',
	},
	MG: {
		isoCode: 'MG',
		dialCode: '261',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([23]\\d)(\\d{2})(\\d{3})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
			},
		],
	},
	MH: {
		isoCode: 'MH',
		dialCode: '692',
		nationalPrefix: '1',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
			},
		],
	},
	MK: {
		isoCode: 'MK',
		dialCode: '389',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '([347]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[347]',
			},
			{
				match: '([58]\\d{2})(\\d)(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[58]',
			},
		],
	},
	ML: {
		isoCode: 'ML',
		dialCode: '223',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[246-9]',
			},
			{
				match: '(\\d{4})',
				replace: '$1',
				leadingDigitPattern: '67|74',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[246-9]',
			},
		],
	},
	MM: {
		isoCode: 'MM',
		dialCode: '95',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1|2[245]',
			},
			{
				match: '(2)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '251',
			},
			{
				match: '(\\d)(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '16|2',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '432|67|81',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[4-8]',
			},
			{
				match: '(9)(\\d{3})(\\d{4,6})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9(?:2[0-4]|[35-9]|4[137-9])',
			},
			{
				match: '(9)([34]\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9(?:3[0-36]|4[0-57-9])',
			},
			{
				match: '(9)(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '92[56]',
			},
			{
				match: '(9)(\\d{3})(\\d{3})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '93',
			},
		],
	},
	MN: {
		isoCode: 'MN',
		dialCode: '976',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([12]\\d)(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12]1',
			},
			{
				match: '([12]2\\d)(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12]2[1-3]',
			},
			{
				match: '([12]\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12](?:27|[3-5]\\d)2',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '[57-9]',
			},
			{
				match: '([12]\\d{4})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12](?:27|[3-5]\\d)[4-9]',
			},
		],
	},
	MO: {
		isoCode: 'MO',
		dialCode: '853',
		patterns: [
			{
				match: '([268]\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	MP: {
		isoCode: 'MP',
		dialCode: '1670',
		countryDialCode: '1',
		regionCode: '670',
		nationalPrefix: '1',
	},
	MQ: {
		isoCode: 'MQ',
		dialCode: '596',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
			},
		],
	},
	MR: {
		isoCode: 'MR',
		dialCode: '222',
		patterns: [
			{
				match: '([2-48]\\d)(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	MS: {
		isoCode: 'MS',
		dialCode: '1664',
		countryDialCode: '1',
		regionCode: '664',
		nationalPrefix: '1',
	},
	MT: {
		isoCode: 'MT',
		dialCode: '356',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	MU: {
		isoCode: 'MU',
		dialCode: '230',
		patterns: [
			{
				match: '([2-46-9]\\d{2})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-46-9]',
			},
			{
				match: '(5\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '5',
			},
		],
	},
	MV: {
		isoCode: 'MV',
		dialCode: '960',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '[3467]|9(?:0[1-9]|[1-9])',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[89]00',
			},
		],
	},
	MW: {
		isoCode: 'MW',
		dialCode: '265',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(2\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[17-9]',
			},
		],
	},
	MX: {
		isoCode: 'MX',
		dialCode: '52',
		nationalPrefix: '01',
		patterns: [
			{
				match: '([358]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '01 $1',
				leadingDigitPattern: '33|55|81',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '01 $1',
				leadingDigitPattern: '[2467]|3[0-2457-9]|5[089]|8[02-9]|9[0-35-9]',
			},
			{
				match: '(1)([358]\\d)(\\d{4})(\\d{4})',
				replace: '044 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '1(?:33|55|81)',
			},
			{
				match: '(1)(\\d{3})(\\d{3})(\\d{4})',
				replace: '044 $2 $3 $4',
				nationalFormat: '$1',
				leadingDigitPattern: '1(?:[2467]|3[0-2457-9]|5[089]|8[2-9]|9[1-35-9])',
			},
		],
		internationalPatterns: [
			{
				match: '([358]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '01 $1',
				leadingDigitPattern: '33|55|81',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '01 $1',
				leadingDigitPattern: '[2467]|3[0-2457-9]|5[089]|8[02-9]|9[0-35-9]',
			},
			{
				match: '(1)([358]\\d)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '1(?:33|55|81)',
			},
			{
				match: '(1)(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '1(?:[2467]|3[0-2457-9]|5[089]|8[2-9]|9[1-35-9])',
			},
		],
	},
	MY: {
		isoCode: 'MY',
		dialCode: '60',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([4-79])(\\d{3})(\\d{4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[4-79]',
			},
			{
				match: '(3)(\\d{4})(\\d{4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '3',
			},
			{
				match: '([18]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[02-46-9][1-9]|8',
			},
			{
				match: '(1)([36-8]00)(\\d{2})(\\d{4})',
				replace: '$1-$2-$3-$4',
				leadingDigitPattern: '1[36-8]0',
			},
			{
				match: '(11)(\\d{4})(\\d{4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '11',
			},
			{
				match: '(15[49])(\\d{3})(\\d{4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '15',
			},
		],
	},
	MZ: {
		isoCode: 'MZ',
		dialCode: '258',
		patterns: [
			{
				match: '([28]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '2|8[2-7]',
			},
			{
				match: '(80\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '80',
			},
		],
	},
	NA: {
		isoCode: 'NA',
		dialCode: '264',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(8\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[1-35]',
			},
			{
				match: '(6\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '6',
			},
			{
				match: '(88)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '88',
			},
			{
				match: '(870)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '870',
			},
		],
	},
	NC: {
		isoCode: 'NC',
		dialCode: '687',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1.$2.$3',
				leadingDigitPattern: '[2-46-9]|5[0-4]',
			},
		],
	},
	NE: {
		isoCode: 'NE',
		dialCode: '227',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '09|[289]',
			},
			{
				match: '(08)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '08',
			},
		],
	},
	NF: {
		isoCode: 'NF',
		dialCode: '672',
		patterns: [
			{
				match: '(\\d{2})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d)(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '3',
			},
		],
	},
	NG: {
		isoCode: 'NG',
		dialCode: '234',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12]|9(?:0[3-9]|[1-9])',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-6]|7(?:0[1-9]|[1-79])|8[2-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '70|8[01]|90[235-9]',
			},
			{
				match: '([78]00)(\\d{4})(\\d{4,5})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[78]00',
			},
			{
				match: '([78]00)(\\d{5})(\\d{5,6})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[78]00',
			},
			{
				match: '(78)(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '78',
			},
		],
	},
	NI: {
		isoCode: 'NI',
		dialCode: '505',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	NL: {
		isoCode: 'NL',
		dialCode: '31',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-578]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[035]|2[0346]|3[03568]|4[0356]|5[0358]|7|8[4578]',
			},
			{
				match: '([1-5]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[16-8]|2[259]|3[124]|4[17-9]|5[124679]',
			},
			{
				match: '(6)(\\d{8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '6[0-57-9]',
			},
			{
				match: '(66)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '66',
			},
			{
				match: '(14)(\\d{3,4})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '14',
			},
			{
				match: '([89]0\\d)(\\d{4,7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '80|9',
			},
		],
	},
	NO: {
		isoCode: 'NO',
		dialCode: '47',
		patterns: [
			{
				match: '([489]\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[489]',
			},
			{
				match: '([235-7]\\d)(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[235-7]',
			},
		],
		priority: 10,
	},
	NP: {
		isoCode: 'NP',
		dialCode: '977',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1)(\\d{7})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[2-6]',
			},
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[01]|[2-8]|9(?:[1-69]|7[15-9])',
			},
			{
				match: '(9\\d{2})(\\d{7})',
				replace: '$1-$2',
				nationalFormat: '$1',
				leadingDigitPattern: '9(?:6[013]|7[245]|8)',
			},
		],
	},
	NR: {
		isoCode: 'NR',
		dialCode: '674',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	NU: {
		isoCode: 'NU',
		dialCode: '683',
	},
	NZ: {
		isoCode: 'NZ',
		dialCode: '64',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{4})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '240|[346]|7[2-57-9]|9[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '21',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,5})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2(?:1[1-9]|[69]|7[0-35-9])|70|86',
			},
			{
				match: '(2\\d)(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[028]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '90',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2(?:10|74)|5|[89]0',
			},
		],
		priority: 10,
	},
	OM: {
		isoCode: 'OM',
		dialCode: '968',
		patterns: [
			{
				match: '(2\\d)(\\d{6})',
				replace: '$1 $2',
				leadingDigitPattern: '2',
			},
			{
				match: '([79]\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[79]',
			},
			{
				match: '([58]00)(\\d{4,6})',
				replace: '$1 $2',
				leadingDigitPattern: '[58]',
			},
		],
	},
	PA: {
		isoCode: 'PA',
		dialCode: '507',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '[1-57-9]',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '6',
			},
		],
	},
	PE: {
		isoCode: 'PE',
		dialCode: '51',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(1)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '1',
			},
			{
				match: '([4-8]\\d)(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[4-7]|8[2-4]',
			},
			{
				match: '(\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '80',
			},
			{
				match: '(9\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '9',
			},
		],
	},
	PF: {
		isoCode: 'PF',
		dialCode: '689',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '4[09]|8[79]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '44',
			},
		],
	},
	PG: {
		isoCode: 'PG',
		dialCode: '675',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[13-689]|27',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '20|7',
			},
		],
	},
	PH: {
		isoCode: 'PH',
		dialCode: '63',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '2',
			},
			{
				match: '(2)(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '2',
			},
			{
				match: '(\\d{4})(\\d{4,6})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern:
					'3(?:230|397|461)|4(?:2(?:35|[46]4|51)|396|4(?:22|63)|59[347]|76[15])|5(?:221|446)|642[23]|8(?:622|8(?:[24]2|5[13]))',
			},
			{
				match: '(\\d{5})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '3469|4(?:279|9(?:30|56))|8834',
			},
			{
				match: '([3-8]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[3-8]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '81|9',
			},
			{
				match: '(1800)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1',
			},
			{
				match: '(1800)(\\d{1,2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '1',
			},
		],
	},
	PK: {
		isoCode: 'PK',
		dialCode: '92',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([89]00)(\\d{3})(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]00',
			},
			{
				match: '(1\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(\\d{2})(\\d{7,8})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '(?:2[125]|4[0-246-9]|5[1-35-7]|6[1-8]|7[14]|8[16]|91)[2-9]',
			},
			{
				match: '(\\d{3})(\\d{6,7})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '(?:2[349]|45|54|60|72|8[2-5]|9[2-469])\\d[2-9]',
			},
			{
				match: '(58\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '58[126]',
			},
			{
				match: '(3\\d{2})(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '3',
			},
			{
				match: '(\\d{2})(111)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '(?:2[125]|4[0-246-9]|5[1-35-7]|6[1-8]|7[14]|8[16]|91)111',
			},
			{
				match: '(\\d{3})(111)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '(?:2[349]|45|54|60|72|8[2-5]|9[2-9])\\d111',
			},
		],
	},
	PL: {
		isoCode: 'PL',
		dialCode: '48',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})',
				replace: '$1 $2',
				leadingDigitPattern: '11[68]|64',
			},
			{
				match: '(\\d{5})',
				replace: '$1',
				leadingDigitPattern: '19',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern:
					'1[2-8]|2[2-69]|3[2-4]|4[1-468]|5[24-689]|6[1-3578]|7[14-7]|8[1-79]|9[145]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2,3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '64',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '26|39|45|5[0137]|6[0469]|7[02389]|8[08]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[14]|2[0-57-9]|3[2-4]|5[24-689]|6[1-3578]|7[14-7]|8[1-79]|9[145]',
			},
		],
	},
	PM: {
		isoCode: 'PM',
		dialCode: '508',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([45]\\d)(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
			},
		],
	},
	PR: {
		isoCode: 'PR',
		dialCode: '1787|939',
		countryDialCode: '1',
		regionCode: '787|939',
		areaCodes: [ '787', '939' ],
		nationalPrefix: '1',
		priority: 1,
		patternRegion: 'PR',
	},
	PS: {
		isoCode: 'PS',
		dialCode: '970',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([2489])(2\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2489]',
			},
			{
				match: '(5[69]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '5',
			},
			{
				match: '(1[78]00)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
		],
	},
	PT: {
		isoCode: 'PT',
		dialCode: '351',
		patterns: [
			{
				match: '(2\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '2[12]',
			},
			{
				match: '([2-46-9]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '2[3-9]|[346-9]',
			},
		],
	},
	PW: {
		isoCode: 'PW',
		dialCode: '680',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	PY: {
		isoCode: 'PY',
		dialCode: '595',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[26]1|3[289]|4[1246-8]|7[1-3]|8[1-36]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[26]1|3[289]|4[1246-8]|7[1-3]|8[1-36]',
			},
			{
				match: '(\\d{3})(\\d{3,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-9]0',
			},
			{
				match: '(\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[1-9]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '8700',
			},
			{
				match: '(\\d{3})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[2-8][1-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[2-8][1-9]',
			},
		],
	},
	QA: {
		isoCode: 'QA',
		dialCode: '974',
		patterns: [
			{
				match: '([28]\\d{2})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[28]',
			},
			{
				match: '([3-7]\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[3-7]',
			},
		],
	},
	RE: {
		isoCode: 'RE',
		dialCode: '262262|69|8',
		countryDialCode: '262',
		regionCode: '262|69|8',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([268]\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
			},
		],
	},
	RO: {
		isoCode: 'RO',
		dialCode: '40',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]1',
			},
			{
				match: '(\\d{2})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]1',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23][3-7]|[7-9]',
			},
			{
				match: '(2\\d{2})(\\d{3})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[3-6]',
			},
		],
	},
	RS: {
		isoCode: 'RS',
		dialCode: '381',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([23]\\d{2})(\\d{4,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '(?:2[389]|39)0',
			},
			{
				match: '([1-3]\\d)(\\d{5,10})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1|2(?:[0-24-7]|[389][1-9])|3(?:[0-8]|9[1-9])',
			},
			{
				match: '(6\\d)(\\d{6,8})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '6',
			},
			{
				match: '([89]\\d{2})(\\d{3,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]',
			},
			{
				match: '(7[26])(\\d{4,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '7[26]',
			},
			{
				match: '(7[08]\\d)(\\d{4,9})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '7[08]',
			},
		],
	},
	RU: {
		isoCode: 'RU',
		dialCode: '7',
		nationalPrefix: '8',
		patterns: [
			{
				match: '(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1-$2-$3',
				nationalFormat: '$1',
				leadingDigitPattern: '[1-79]',
			},
			{
				match: '([3489]\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '8 ($1)',
				leadingDigitPattern: '[34689]',
			},
			{
				match: '(7\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '8 ($1)',
				leadingDigitPattern: '7',
			},
		],
		internationalPatterns: [
			{
				match: '([3489]\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '8 ($1)',
				leadingDigitPattern: '[34689]',
			},
			{
				match: '(7\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '8 ($1)',
				leadingDigitPattern: '7',
			},
		],
		priority: 10,
	},
	RW: {
		isoCode: 'RW',
		dialCode: '250',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '2',
			},
			{
				match: '([7-9]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[7-9]',
			},
			{
				match: '(0\\d)(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '0',
			},
		],
	},
	SA: {
		isoCode: 'SA',
		dialCode: '966',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-467])(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-467]',
			},
			{
				match: '(1\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[1-467]',
			},
			{
				match: '(5\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '5',
			},
			{
				match: '(92\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '92',
			},
			{
				match: '(800)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '80',
			},
			{
				match: '(811)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '81',
			},
		],
	},
	SB: {
		isoCode: 'SB',
		dialCode: '677',
		patterns: [
			{
				match: '(\\d{2})(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '[7-9]',
			},
		],
	},
	SC: {
		isoCode: 'SC',
		dialCode: '248',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[246]',
			},
		],
	},
	SD: {
		isoCode: 'SD',
		dialCode: '249',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
			},
		],
	},
	SE: {
		isoCode: 'SE',
		dialCode: '46',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(8)(\\d{2,3})(\\d{2,3})(\\d{2})',
				replace: '$1-$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
			{
				match: '([1-69]\\d)(\\d{2,3})(\\d{2})(\\d{2})',
				replace: '$1-$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[013689]|2[0136]|3[1356]|4[0246]|54|6[03]|90',
			},
			{
				match: '([1-469]\\d)(\\d{3})(\\d{2})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[12][136]|3[356]|4[0246]|6[03]|90',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1-$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1[2457]|2(?:[247-9]|5[0138])|3[0247-9]|4[1357-9]|5[0-35-9]|6(?:[124-689]|7[0-2])|9(?:[125-8]|3[0-5]|4[0-3])',
			},
			{
				match: '(\\d{3})(\\d{2,3})(\\d{2})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'1[2457]|2(?:[247-9]|5[0138])|3[0247-9]|4[1357-9]|5[0-35-9]|6(?:[124-689]|7[0-2])|9(?:[125-8]|3[0-5]|4[0-3])',
			},
			{
				match: '(7\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1-$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
			{
				match: '(77)(\\d{2})(\\d{2})',
				replace: '$1-$2$3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
			{
				match: '(20)(\\d{2,3})(\\d{2})',
				replace: '$1-$2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '20',
			},
			{
				match: '(9[034]\\d)(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1-$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[034]',
			},
			{
				match: '(9[034]\\d)(\\d{4})',
				replace: '$1-$2',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[034]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1-$2 $3 $4 $5',
				nationalFormat: '0$1',
				leadingDigitPattern: '25[245]|67[3-6]',
			},
		],
		internationalPatterns: [
			{
				match: '(8)(\\d{2,3})(\\d{2,3})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '8',
			},
			{
				match: '([1-69]\\d)(\\d{2,3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '1[013689]|2[0136]|3[1356]|4[0246]|54|6[03]|90',
			},
			{
				match: '([1-469]\\d)(\\d{3})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[12][136]|3[356]|4[0246]|6[03]|90',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern:
					'1[2457]|2(?:[247-9]|5[0138])|3[0247-9]|4[1357-9]|5[0-35-9]|6(?:[124-689]|7[0-2])|9(?:[125-8]|3[0-5]|4[0-3])',
			},
			{
				match: '(\\d{3})(\\d{2,3})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern:
					'1[2457]|2(?:[247-9]|5[0138])|3[0247-9]|4[1357-9]|5[0-35-9]|6(?:[124-689]|7[0-2])|9(?:[125-8]|3[0-5]|4[0-3])',
			},
			{
				match: '(7\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '7',
			},
			{
				match: '(77)(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '7',
			},
			{
				match: '(20)(\\d{2,3})(\\d{2})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '20',
			},
			{
				match: '(9[034]\\d)(\\d{2})(\\d{2})(\\d{3})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '9[034]',
			},
			{
				match: '(9[034]\\d)(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '9[034]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4 $5',
				leadingDigitPattern: '25[245]|67[3-6]',
			},
		],
	},
	SG: {
		isoCode: 'SG',
		dialCode: '65',
		patterns: [
			{
				match: '([3689]\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[369]|8[1-9]',
			},
			{
				match: '(1[89]00)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '1[89]',
			},
			{
				match: '(7000)(\\d{4})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '70',
			},
			{
				match: '(800)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '80',
			},
		],
	},
	SH: {
		isoCode: 'SH',
		dialCode: '290',
		priority: 10,
		patternRegion: 'SH',
	},
	SI: {
		isoCode: 'SI',
		dialCode: '386',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[12]|[34][24-8]|5[2-8]|7[3-8]',
			},
			{
				match: '([3-7]\\d)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[37][01]|4[0139]|51|6',
			},
			{
				match: '([89][09])(\\d{3,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89][09]',
			},
			{
				match: '([58]\\d{2})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '59|8[1-3]',
			},
		],
	},
	SJ: {
		isoCode: 'SJ',
		dialCode: '47',
		priority: 1,
		patternRegion: 'NO',
	},
	SK: {
		isoCode: 'SK',
		dialCode: '421',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(1[67])(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '21[67]',
			},
			{
				match: '([3-5]\\d)(1[67])(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-5]',
			},
			{
				match: '(2)(\\d{3})(\\d{3})(\\d{2})',
				replace: '$1/$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '([3-5]\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1/$2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '[3-5]',
			},
			{
				match: '([689]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[689]',
			},
			{
				match: '(9090)(\\d{3})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '9090',
			},
		],
	},
	SL: {
		isoCode: 'SL',
		dialCode: '232',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '(0$1)',
			},
		],
	},
	SM: {
		isoCode: 'SM',
		dialCode: '378',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[5-7]',
			},
			{
				match: '(0549)(\\d{6})',
				replace: '$1 $2',
				leadingDigitPattern: '0',
			},
			{
				match: '(\\d{6})',
				replace: '0549 $1',
				leadingDigitPattern: '[89]',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[5-7]',
			},
			{
				match: '(0549)(\\d{6})',
				replace: '($1) $2',
				leadingDigitPattern: '0',
			},
			{
				match: '(\\d{6})',
				replace: '(0549) $1',
				leadingDigitPattern: '[89]',
			},
		],
	},
	SN: {
		isoCode: 'SN',
		dialCode: '221',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[379]',
			},
			{
				match: '(\\d{3})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '8',
			},
		],
	},
	SO: {
		isoCode: 'SO',
		dialCode: '252',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{6})',
				replace: '$1',
				leadingDigitPattern: '[134]',
			},
			{
				match: '(\\d)(\\d{6})',
				replace: '$1 $2',
				leadingDigitPattern: '[13-5]|2[0-79]',
			},
			{
				match: '(\\d)(\\d{7})',
				replace: '$1 $2',
				leadingDigitPattern: '24|[67]',
			},
			{
				match: '(\\d{2})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '8[125]',
			},
			{
				match: '(\\d{2})(\\d{5,7})',
				replace: '$1 $2',
				leadingDigitPattern: '15|28|6[1-35-9]|799|9[2-9]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '3[59]|4[89]|6[24-6]|79|8[08]|90',
			},
		],
	},
	SR: {
		isoCode: 'SR',
		dialCode: '597',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})',
				replace: '$1-$2',
				leadingDigitPattern: '[2-4]|5[2-58]',
			},
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1-$2-$3',
				leadingDigitPattern: '56',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
				leadingDigitPattern: '[6-8]',
			},
		],
	},
	SS: {
		isoCode: 'SS',
		dialCode: '211',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
			},
		],
	},
	ST: {
		isoCode: 'ST',
		dialCode: '239',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
			},
		],
	},
	SV: {
		isoCode: 'SV',
		dialCode: '503',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[267]',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[89]',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '[89]',
			},
		],
	},
	SX: {
		isoCode: 'SX',
		dialCode: '1721',
		countryDialCode: '1',
		regionCode: '721',
		nationalPrefix: '1',
	},
	SY: {
		isoCode: 'SY',
		dialCode: '963',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-5]',
			},
			{
				match: '(9\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
		],
	},
	SZ: {
		isoCode: 'SZ',
		dialCode: '268',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[027]',
			},
		],
	},
	TA: {
		isoCode: 'TA',
		dialCode: '290',
		priority: 1,
		patternRegion: 'SH',
	},
	TC: {
		isoCode: 'TC',
		dialCode: '1649',
		countryDialCode: '1',
		regionCode: '649',
		nationalPrefix: '1',
	},
	TD: {
		isoCode: 'TD',
		dialCode: '235',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
			},
		],
	},
	TG: {
		isoCode: 'TG',
		dialCode: '228',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				leadingDigitPattern: '[29]',
			},
		],
	},
	TH: {
		isoCode: 'TH',
		dialCode: '66',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(2)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2',
			},
			{
				match: '([13-9]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '14|[3-9]',
			},
			{
				match: '(1[89]00)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '1',
			},
		],
	},
	TJ: {
		isoCode: 'TJ',
		dialCode: '992',
		nationalPrefix: '8',
		patterns: [
			{
				match: '([349]\\d{2})(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '[34]7|91[78]',
			},
			{
				match: '([457-9]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '4[148]|[578]|9(?:[0235-9]|1[59])',
			},
			{
				match: '(331700)(\\d)(\\d{2})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '331700',
			},
			{
				match: '(\\d{4})(\\d)(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '$1',
				leadingDigitPattern: '3(?:[1245]|3(?:[02-9]|1[0-589]))',
			},
		],
	},
	TK: {
		isoCode: 'TK',
		dialCode: '690',
	},
	TL: {
		isoCode: 'TL',
		dialCode: '670',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[2-489]|70',
			},
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '7[3-8]',
			},
		],
	},
	TM: {
		isoCode: 'TM',
		dialCode: '993',
		nationalPrefix: '8',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '(8 $1)',
				leadingDigitPattern: '12',
			},
			{
				match: '(\\d{2})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '8 $1',
				leadingDigitPattern: '6',
			},
			{
				match: '(\\d{3})(\\d)(\\d{2})(\\d{2})',
				replace: '$1 $2-$3-$4',
				nationalFormat: '(8 $1)',
				leadingDigitPattern: '13|[2-5]',
			},
		],
	},
	TN: {
		isoCode: 'TN',
		dialCode: '216',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
			},
		],
	},
	TO: {
		isoCode: 'TO',
		dialCode: '676',
		patterns: [
			{
				match: '(\\d{2})(\\d{3})',
				replace: '$1-$2',
				leadingDigitPattern: '[1-6]|7[0-4]|8[05]',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '7[5-9]|8[47-9]',
			},
			{
				match: '(\\d{4})(\\d{3})',
				replace: '$1 $2',
				leadingDigitPattern: '0',
			},
		],
	},
	TR: {
		isoCode: 'TR',
		dialCode: '90',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '(0$1)',
				leadingDigitPattern: '[23]|4(?:[0-35-9]|4[0-35-9])',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '5[02-69]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '51|[89]',
			},
			{
				match: '(444)(\\d{1})(\\d{3})',
				replace: '$1 $2 $3',
				leadingDigitPattern: '444',
			},
		],
	},
	TT: {
		isoCode: 'TT',
		dialCode: '1868',
		countryDialCode: '1',
		regionCode: '868',
		nationalPrefix: '1',
	},
	TV: {
		isoCode: 'TV',
		dialCode: '688',
	},
	TW: {
		isoCode: 'TW',
		dialCode: '886',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(20)(\\d)(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '202',
			},
			{
				match: '([258]0)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '20[013-9]|50[0-46-9]|80[0-79]',
			},
			{
				match: '([2-8])(\\d{3,4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[25][2-8]|[346]|[78][1-9]',
			},
			{
				match: '(9\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9',
			},
			{
				match: '(70)(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '70',
			},
		],
	},
	TZ: {
		isoCode: 'TZ',
		dialCode: '255',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([24]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[24]',
			},
			{
				match: '([67]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[67]',
			},
			{
				match: '([89]\\d{2})(\\d{2})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]',
			},
		],
	},
	UA: {
		isoCode: 'UA',
		dialCode: '380',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([3-9]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[38]9|4(?:[45][0-5]|87)|5(?:0|6(?:3[14-7]|7)|7[37])|6[36-8]|7|9[1-9]',
			},
			{
				match: '([3-689]\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:[1-46-8]2[013-9]|52)|4(?:[1378]2|62[013-9])|5(?:[12457]2|6[24])|6(?:[12][29]|[49]2|5[24])|8[0-8]|90',
			},
			{
				match: '([3-6]\\d{3})(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'3(?:[1-46-8](?:[013-9]|22)|5[013-9])|4(?:[137][013-9]|[45][6-9]|6(?:[013-9]|22)|8[4-6])|5(?:[1245][013-9]|3|6(?:[015689]|3[02389])|7[4-6])|6(?:[12][13-8]|[49][013-9]|5[0135-9])',
			},
		],
	},
	UG: {
		isoCode: 'UG',
		dialCode: '256',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '20(?:[013-8]|2[5-9])|4(?:6[45]|[7-9])|[7-9]',
			},
			{
				match: '(\\d{2})(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '3|4(?:[1-5]|6[0-36-9])',
			},
			{
				match: '(2024)(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '2024',
			},
		],
	},
	US: {
		isoCode: 'US',
		dialCode: '1',
		nationalPrefix: '1',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1-$2',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '($1) $2-$3',
			},
		],
		internationalPatterns: [
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1-$2-$3',
			},
		],
		priority: 10,
	},
	UY: {
		isoCode: 'UY',
		dialCode: '598',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{4})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[24]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '9[1-9]',
			},
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[89]0',
			},
		],
	},
	UZ: {
		isoCode: 'UZ',
		dialCode: '998',
		nationalPrefix: '8',
		patterns: [
			{
				match: '([679]\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '8 $1',
			},
		],
	},
	VA: {
		isoCode: 'VA',
		dialCode: '39',
		priority: 1,
		patternRegion: 'IT',
	},
	VC: {
		isoCode: 'VC',
		dialCode: '1784',
		countryDialCode: '1',
		regionCode: '784',
		nationalPrefix: '1',
	},
	VE: {
		isoCode: 'VE',
		dialCode: '58',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(\\d{3})(\\d{7})',
				replace: '$1-$2',
				nationalFormat: '0$1',
			},
		],
	},
	VG: {
		isoCode: 'VG',
		dialCode: '1284',
		countryDialCode: '1',
		regionCode: '284',
		nationalPrefix: '1',
	},
	VI: {
		isoCode: 'VI',
		dialCode: '1340',
		countryDialCode: '1',
		regionCode: '340',
		nationalPrefix: '1',
	},
	VN: {
		isoCode: 'VN',
		dialCode: '84',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([17]99)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[17]99',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[48]',
			},
			{
				match: '(80)(\\d{5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '80',
			},
			{
				match: '(69\\d)(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '69',
			},
			{
				match: '(\\d{3})(\\d{4})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2[0-35-79]',
			},
			{
				match: '([89]\\d)(\\d{3})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3 $4',
				nationalFormat: '0$1',
				leadingDigitPattern: '8(?:8|9[89])|9',
			},
			{
				match: '(1[2689]\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:[26]|8[68]|99)',
			},
			{
				match: '(86[89])(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '86[89]',
			},
			{
				match: '(1[89]00)(\\d{4,6})',
				replace: '$1 $2',
				nationalFormat: '$1',
				leadingDigitPattern: '1[89]0',
			},
		],
	},
	VU: {
		isoCode: 'VU',
		dialCode: '678',
		patterns: [
			{
				match: '(\\d{3})(\\d{4})',
				replace: '$1 $2',
				leadingDigitPattern: '[579]',
			},
		],
	},
	WF: {
		isoCode: 'WF',
		dialCode: '681',
		patterns: [
			{
				match: '(\\d{2})(\\d{2})(\\d{2})',
				replace: '$1 $2 $3',
			},
		],
	},
	WS: {
		isoCode: 'WS',
		dialCode: '685',
		patterns: [
			{
				match: '(8\\d{2})(\\d{3,4})',
				replace: '$1 $2',
				leadingDigitPattern: '8',
			},
			{
				match: '(7\\d)(\\d{5})',
				replace: '$1 $2',
				leadingDigitPattern: '7',
			},
			{
				match: '(\\d{5})',
				replace: '$1',
				leadingDigitPattern: '[2-6]',
			},
		],
	},
	YE: {
		isoCode: 'YE',
		dialCode: '967',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([1-7])(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-6]|7[24-68]',
			},
			{
				match: '(7\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7[0137]',
			},
		],
	},
	YT: {
		isoCode: 'YT',
		dialCode: '262269|63',
		countryDialCode: '262',
		regionCode: '269|63',
		nationalPrefix: '0',
	},
	ZA: {
		isoCode: 'ZA',
		dialCode: '27',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(860)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '860',
			},
			{
				match: '(\\d{2})(\\d{3,4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[1-4]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{2,3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8[1-4]',
			},
			{
				match: '(\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[1-79]|8(?:[0-57]|6[1-9])',
			},
		],
	},
	ZM: {
		isoCode: 'ZM',
		dialCode: '260',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([29]\\d)(\\d{7})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[29]',
			},
			{
				match: '(800)(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8',
			},
		],
	},
	ZW: {
		isoCode: 'ZW',
		dialCode: '263',
		nationalPrefix: '0',
		patterns: [
			{
				match: '([49])(\\d{3})(\\d{2,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '4|9[2-9]',
			},
			{
				match: '(7\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '7',
			},
			{
				match: '(86\\d{2})(\\d{3})(\\d{3})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '86[24]',
			},
			{
				match: '([2356]\\d{2})(\\d{3,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern:
					'2(?:0[45]|2[278]|[49]8|[78])|3(?:[09]8|17|3[78]|7[1569]|8[37])|5[15][78]|6(?:[29]8|37|[68][78]|75)',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2(?:1[39]|2[0157]|31|[56][14]|7[35]|84)|329',
			},
			{
				match: '([1-356]\\d)(\\d{3,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1[3-9]|2[02569]|3[0-69]|5[05689]|6',
			},
			{
				match: '([235]\\d)(\\d{3})(\\d{3,4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '[23]9|54',
			},
			{
				match: '([25]\\d{3})(\\d{3,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '258[23]|5483',
			},
			{
				match: '(8\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '86',
			},
			{
				match: '(80\\d)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '80',
			},
		],
	},
	UK: {
		isoCode: 'GB',
		dialCode: '44',
		nationalPrefix: '0',
		patterns: [
			{
				match: '(7\\d{3})(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '7(?:[1-57-9]|624)',
			},
			{
				match: '(\\d{2})(\\d{4})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '2|5[56]|7[06]',
			},
			{
				match: '(\\d{3})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:[02-9]1|1)|3|9[018]',
			},
			{
				match: '(\\d{5})(\\d{4,5})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1(?:3873|5(?:242|39[4-6])|(?:697|768)[347]|9467)',
			},
			{
				match: '(1\\d{3})(\\d{5,6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '1',
			},
			{
				match: '(800)(\\d{4})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '8001111',
			},
			{
				match: '(845)(46)(4\\d)',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '845464',
			},
			{
				match: '(8\\d{2})(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '8(?:4[2-5]|7[0-3])',
			},
			{
				match: '(80\\d)(\\d{3})(\\d{4})',
				replace: '$1 $2 $3',
				nationalFormat: '0$1',
				leadingDigitPattern: '80',
			},
			{
				match: '([58]00)(\\d{6})',
				replace: '$1 $2',
				nationalFormat: '0$1',
				leadingDigitPattern: '[58]00',
			},
		],
		priority: 10,
	},
};

export const dialCodeMap = {
	1: [ 'US', 'CA', 'UM' ],
	7: [ 'RU', 'KZ' ],
	20: [ 'EG' ],
	27: [ 'ZA' ],
	30: [ 'GR' ],
	31: [ 'NL' ],
	32: [ 'BE' ],
	33: [ 'FR' ],
	34: [ 'ES' ],
	36: [ 'HU' ],
	39: [ 'IT', 'VA' ],
	40: [ 'RO' ],
	41: [ 'CH' ],
	43: [ 'AT' ],
	44: [ 'GB', 'JE', 'IM', 'GG' ],
	45: [ 'DK' ],
	46: [ 'SE' ],
	47: [ 'NO', 'SJ', 'BV' ],
	48: [ 'PL' ],
	49: [ 'DE' ],
	51: [ 'PE' ],
	52: [ 'MX' ],
	53: [ 'CU' ],
	54: [ 'AR' ],
	55: [ 'BR' ],
	56: [ 'CL' ],
	57: [ 'CO' ],
	58: [ 'VE' ],
	60: [ 'MY' ],
	61: [ 'AU', 'CX', 'CC', 'HM' ],
	62: [ 'ID' ],
	63: [ 'PH' ],
	64: [ 'NZ', 'PN' ],
	65: [ 'SG' ],
	66: [ 'TH' ],
	81: [ 'JP' ],
	82: [ 'KR' ],
	84: [ 'VN' ],
	86: [ 'CN' ],
	90: [ 'TR' ],
	91: [ 'IN' ],
	92: [ 'PK' ],
	93: [ 'AF' ],
	94: [ 'LK' ],
	95: [ 'MM' ],
	98: [ 'IR' ],
	211: [ 'SS' ],
	212: [ 'MA' ],
	213: [ 'DZ' ],
	216: [ 'TN' ],
	218: [ 'LY' ],
	220: [ 'GM' ],
	221: [ 'SN' ],
	222: [ 'MR' ],
	223: [ 'ML' ],
	224: [ 'GN' ],
	225: [ 'CI' ],
	226: [ 'BF' ],
	227: [ 'NE' ],
	228: [ 'TG' ],
	229: [ 'BJ' ],
	230: [ 'MU' ],
	231: [ 'LR' ],
	232: [ 'SL' ],
	233: [ 'GH' ],
	234: [ 'NG' ],
	235: [ 'TD' ],
	236: [ 'CF' ],
	237: [ 'CM' ],
	238: [ 'CV' ],
	239: [ 'ST' ],
	240: [ 'GQ' ],
	241: [ 'GA' ],
	242: [ 'CG' ],
	243: [ 'CD' ],
	244: [ 'AO' ],
	245: [ 'GW' ],
	246: [ 'IO' ],
	247: [ 'AC' ],
	248: [ 'SC' ],
	249: [ 'SD' ],
	250: [ 'RW' ],
	251: [ 'ET' ],
	252: [ 'SO' ],
	253: [ 'DJ' ],
	254: [ 'KE' ],
	255: [ 'TZ' ],
	256: [ 'UG' ],
	257: [ 'BI' ],
	258: [ 'MZ' ],
	260: [ 'ZM' ],
	261: [ 'MG' ],
	262: [ 'TF' ],
	263: [ 'ZW' ],
	264: [ 'NA' ],
	265: [ 'MW' ],
	266: [ 'LS' ],
	267: [ 'BW' ],
	268: [ 'SZ' ],
	269: [ 'KM' ],
	290: [ 'SH', 'TA' ],
	291: [ 'ER' ],
	297: [ 'AW' ],
	298: [ 'FO' ],
	299: [ 'GL' ],
	350: [ 'GI' ],
	351: [ 'PT' ],
	352: [ 'LU' ],
	353: [ 'IE' ],
	354: [ 'IS' ],
	355: [ 'AL' ],
	356: [ 'MT' ],
	357: [ 'CY' ],
	358: [ 'FI', 'AX' ],
	359: [ 'BG' ],
	370: [ 'LT' ],
	371: [ 'LV' ],
	372: [ 'EE' ],
	373: [ 'MD' ],
	374: [ 'AM' ],
	375: [ 'BY' ],
	376: [ 'AD' ],
	377: [ 'MC' ],
	378: [ 'SM' ],
	380: [ 'UA' ],
	381: [ 'RS' ],
	382: [ 'ME' ],
	383: [ 'KV' ],
	385: [ 'HR' ],
	386: [ 'SI' ],
	387: [ 'BA' ],
	389: [ 'MK' ],
	420: [ 'CZ' ],
	421: [ 'SK' ],
	423: [ 'LI' ],
	500: [ 'FK', 'GS' ],
	501: [ 'BZ' ],
	502: [ 'GT' ],
	503: [ 'SV' ],
	504: [ 'HN' ],
	505: [ 'NI' ],
	506: [ 'CR' ],
	507: [ 'PA' ],
	508: [ 'PM' ],
	509: [ 'HT' ],
	590: [ 'GP', 'MF', 'BL' ],
	591: [ 'BO' ],
	592: [ 'GY' ],
	593: [ 'EC' ],
	594: [ 'GF' ],
	595: [ 'PY' ],
	596: [ 'MQ' ],
	597: [ 'SR' ],
	598: [ 'UY' ],
	599: [ 'CW', 'BQ' ],
	670: [ 'TL' ],
	672: [ 'NF' ],
	673: [ 'BN' ],
	674: [ 'NR' ],
	675: [ 'PG' ],
	676: [ 'TO' ],
	677: [ 'SB' ],
	678: [ 'VU' ],
	679: [ 'FJ' ],
	680: [ 'PW' ],
	681: [ 'WF' ],
	682: [ 'CK' ],
	683: [ 'NU' ],
	685: [ 'WS' ],
	686: [ 'KI' ],
	687: [ 'NC' ],
	688: [ 'TV' ],
	689: [ 'PF' ],
	690: [ 'TK' ],
	691: [ 'FM' ],
	692: [ 'MH' ],
	850: [ 'KP' ],
	852: [ 'HK' ],
	853: [ 'MO' ],
	855: [ 'KH' ],
	856: [ 'LA' ],
	880: [ 'BD' ],
	886: [ 'TW' ],
	960: [ 'MV' ],
	961: [ 'LB' ],
	962: [ 'JO' ],
	963: [ 'SY' ],
	964: [ 'IQ' ],
	965: [ 'KW' ],
	966: [ 'SA' ],
	967: [ 'YE' ],
	968: [ 'OM' ],
	970: [ 'PS' ],
	971: [ 'AE' ],
	972: [ 'IL' ],
	973: [ 'BH' ],
	974: [ 'QA' ],
	975: [ 'BT' ],
	976: [ 'MN' ],
	977: [ 'NP' ],
	992: [ 'TJ' ],
	993: [ 'TM' ],
	994: [ 'AZ' ],
	995: [ 'GE' ],
	996: [ 'KG' ],
	998: [ 'UZ' ],
	1204: [ 'CA' ],
	1236: [ 'CA' ],
	1242: [ 'BS' ],
	1246: [ 'BB' ],
	1249: [ 'CA' ],
	1250: [ 'CA' ],
	1264: [ 'AI' ],
	1268: [ 'AG' ],
	1284: [ 'VG' ],
	1289: [ 'CA' ],
	1306: [ 'CA' ],
	1340: [ 'VI' ],
	1343: [ 'CA' ],
	1345: [ 'KY' ],
	1365: [ 'CA' ],
	1387: [ 'CA' ],
	1403: [ 'CA' ],
	1416: [ 'CA' ],
	1418: [ 'CA' ],
	1431: [ 'CA' ],
	1437: [ 'CA' ],
	1438: [ 'CA' ],
	1441: [ 'BM' ],
	1450: [ 'CA' ],
	1473: [ 'GD' ],
	1506: [ 'CA' ],
	1514: [ 'CA' ],
	1519: [ 'CA' ],
	1548: [ 'CA' ],
	1579: [ 'CA' ],
	1581: [ 'CA' ],
	1587: [ 'CA' ],
	1604: [ 'CA' ],
	1613: [ 'CA' ],
	1639: [ 'CA' ],
	1647: [ 'CA' ],
	1649: [ 'TC' ],
	1664: [ 'MS' ],
	1670: [ 'MP' ],
	1671: [ 'GU' ],
	1672: [ 'CA' ],
	1684: [ 'AS' ],
	1705: [ 'CA' ],
	1709: [ 'CA' ],
	1721: [ 'SX' ],
	1742: [ 'CA' ],
	1758: [ 'LC' ],
	1767: [ 'DM' ],
	1778: [ 'CA' ],
	1780: [ 'CA' ],
	1782: [ 'CA' ],
	1784: [ 'VC' ],
	1807: [ 'CA' ],
	1819: [ 'CA' ],
	1825: [ 'CA' ],
	1867: [ 'CA' ],
	1868: [ 'TT' ],
	1869: [ 'KN' ],
	1873: [ 'CA' ],
	1876: [ 'JM' ],
	1902: [ 'CA' ],
	1905: [ 'CA' ],
};
/* eslint-enable */
